Loading...
Searching...
No Matches
casacore::MeasTableMulAber1950 Class Reference
measures package (libcasa_measures) » Measures_module

Class calculating the B1950 aberration multipliers. More...

`#include <MeasTableMul.h>`

## Public Member Functions

| MeasTableMulAber1950 ()
virtual void | init ()
virtual void | calc (Matrix< Double > &, Double time)
Public Member Functions inherited from casacore::MeasTableMul
| MeasTableMul ()
virtual | ~MeasTableMul ()
void | clear ()
std::shared_ptr< Matrix< Double > > | getArray (Double time, Double epsilon)

## Private Attributes

Polynomial< Double > | itsPoly [18]
double | itsFactor

## Static Private Attributes

static const Short | theirMABER [130][6]
static const Short | theirABERT1T [10]
static const Short | theirABERT2T [2]
static const Short | theirABERT3T [1]
static const Double | theirABERSPEC [2][6]

## Additional Inherited Members

Protected Attributes inherited from casacore::MeasTableMul
std::mutex | itsMutex
Int64 | itsLastUsed
std::vector< Int64 > | itsUsed
std::vector< Double > | itsTimes
std::vector< std::shared_ptr< Matrix< Double > > > | itsArrays
Matrix< Double > | itsDefArray

## Detailed Description

Class calculating the B1950 aberration multipliers.

Definition at line 219 of file MeasTableMul.h.

## Constructor & Destructor Documentation

## MeasTableMulAber1950()

casacore::MeasTableMulAber1950::MeasTableMulAber1950 | ( |  | ) |

## Member Function Documentation

## calc()

virtual void casacore::MeasTableMulAber1950::calc | ( | Matrix< Double > & | ,
|  | Double | time )

virtual

Implements casacore::MeasTableMul.

References casacore::time().

## init()

virtual void casacore::MeasTableMulAber1950::init | ( |  | ) |

virtual

Implements casacore::MeasTableMul.

## Member Data Documentation

## itsFactor

double casacore::MeasTableMulAber1950::itsFactor

private

Definition at line 227 of file MeasTableMul.h.

## itsPoly

Polynomial<Double> casacore::MeasTableMulAber1950::itsPoly[18]

private

Definition at line 226 of file MeasTableMul.h.

## theirABERSPEC

const Double casacore::MeasTableMulAber1950::theirABERSPEC[2][6]

static private

Definition at line 232 of file MeasTableMul.h.

## theirABERT1T

const Short casacore::MeasTableMulAber1950::theirABERT1T[10]

static private

Definition at line 229 of file MeasTableMul.h.

## theirABERT2T

const Short casacore::MeasTableMulAber1950::theirABERT2T[2]

static private

Definition at line 230 of file MeasTableMul.h.

## theirABERT3T

const Short casacore::MeasTableMulAber1950::theirABERT3T[1]

static private

Definition at line 231 of file MeasTableMul.h.

## theirMABER

const Short casacore::MeasTableMulAber1950::theirMABER[130][6]

static private

Definition at line 228 of file MeasTableMul.h.

The documentation for this class was generated from the following file:

- measures/Measures/MeasTableMul.h